Bug 253361 - (wyrd) Review Request: wyrd - A ncurses frontend for the calendar application remind
Review Request: wyrd - A ncurses frontend for the calendar application remind
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-18 04:43 EDT by Till Maas
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 12:20:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-08-18 04:43:27 EDT
Spec URL: http://till.fedorapeople.org/review/wyrd.spec
SRPM URL: http://till.fedorapeople.org/review/wyrd-1.4.3-1.fc7.src.rpm
Description:

wyrd is a ncurses frontend for the calendar application remind.
Comment 1 Till Maas 2007-08-18 05:30:10 EDT
Hey Marek, if you want to review this, you need also set "fedora-review" to "?"
afaik. Btw. wyrd requires the remind version that is currently in
updates-testing. in case you run into problems.
Comment 2 Marek Mahut 2007-08-18 05:44:25 EDT
You're right. Assigning.
Comment 3 Marek Mahut 2007-08-18 06:58:37 EDT
  + make
  ocamlc.opt -c locale_wrap.c
  ocamlc.opt -c -g -I ./curses curses/curses.mli
  ocamlopt.opt -c -I ./curses curses/curses.ml
  cd curses && ocamlc.opt -ccopt " -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\"
-DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\"
-DCURSES_HEADER=\<ncursesw/curses.h\> -DCURSES_TERM_H=\<term.h\>
-DHAVE_WIDE_CURSES=1 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic  
-fasynchronous-unwind-tables -Wall -fPIC -DPIC" -c ml_curses.c
  ocamlopt.opt -c -pp camlp4o -I ./curses install.ml
  sh: camlp4o: command not found
  Preprocessor error
  make: *** [install.cmx] Error 2
  error: Bad exit status from /var/tmp/rpm-tmp.81178 (%build)
  
  
  RPM build errors:
      Bad exit status from /var/tmp/rpm-tmp.81178 (%build)


camlp4o command is missing in dependencies as it's not in ocaml-camlp4 package
Comment 4 Till Maas 2007-08-18 12:21:46 EDT
(In reply to comment #3)

> camlp4o command is missing in dependencies as it's not in ocaml-camlp4 package

On which Collection are you building it? Is it Rawhide? In Fedora 7 I get this:

$ rpm -qf `which camlp4o`
camlp4-3.09.3-2.fc7

an camlp4 is in BuildRequires. I will search which is the right package for devel.
Comment 5 Till Maas 2007-08-18 12:25:44 EDT
(In reply to comment #4)

> I will search which is the right package for devel.

Seems this is:
ocaml-camlp4-devel

But the camlp4 package in F7 seems not to provides this.
Comment 6 Till Maas 2007-08-18 12:35:19 EDT
It seems that ocaml-camlp4-devel should be installed when a spec BuildRequires
camlp4, I will see what mock for development does.

$ repoquery --quiet  --repoid=development --provides  ocaml-camlp4-devel
Loading "priorities" plugin
Loading "protectbase" plugin
Loading "skip-broken" plugin
0 packages excluded due to repository priority protections
0 packages excluded due to repository protections
camlp4 = 3.10.0-1.fc8
ocaml-camlp4-devel = 3.10.0-1.fc8
Comment 7 Till Maas 2007-08-18 13:55:45 EDT
Problem is, that camlp4 is provided by two packages in rawhide8, see #253387

$ repoquery --repoid=development --whatprovides  camlp4
ocaml-camlp4-0:3.10.0-1.fc8.i386
ocaml-camlp4-devel-0:3.10.0-1.fc8.i386

I want to wait for the answers to #253387, until I adjust the Spec, maybe it
will not be neccessary.
Comment 8 Gérard Milmeister 2007-08-18 14:20:38 EDT
Probably only ocaml-camlp4 should provide camlp4.
In F8, if camlp4 is required to build than BuildRequires should be
ocaml-camlp4-devel.
In F7, it should be BuildRequires: camlp4.
The ocaml packages will probably not be updated for F-7.
Comment 9 Till Maas 2007-08-28 12:34:18 EDT
Spec URL: http://till.fedorapeople.org/review/wyrd.spec
SRPM URL: http://till.fedorapeople.org/review/wyrd-1.4.3-2.fc7.src.rpm

This new spec now uses a conditional to BR ocaml-camlp4-devel like it is
described in: http://fedoraproject.org/wiki/Packaging/DistTag for F8 and beyond.
Comment 10 Marek Mahut 2007-10-10 10:12:36 EDT
Hello Till,

Sorry for the delay, I missed the mail from bugzilla about your update =( Next
time, just bug me on IRC =)

Few remarks that needs to be fixed,


1) Install this configuration file with fix permissions, which eliminate rpmlint
error.

 install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/wyrdrc.local


2) I would also replace 
  
  %{_mandir}/man1/wyrd.1.gz
  %{_mandir}/man5/wyrdrc.5.gz

simply by

  %{_mandir}/man1/wyrd.1*
  %{_mandir}/man5/wyrdrc.5*


3) Use (noreplace) flag for the config file as well
(conffile-without-noreplace-flag rpmlint)


Please, fix/comment these issues. 

Thank you Till!
Comment 11 Till Maas 2007-10-10 10:27:49 EDT
(In reply to comment #10)

> 1) Install this configuration file with fix permissions, which eliminate rpmlint
> error.
> 
>  install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/wyrdrc.local

Sure, I will do this.
 
> 2) I would also replace 
>   
>   %{_mandir}/man1/wyrd.1.gz
>   %{_mandir}/man5/wyrdrc.5.gz
> 
> simply by
> 
>   %{_mandir}/man1/wyrd.1*
>   %{_mandir}/man5/wyrdrc.5*

ok.

> 3) Use (noreplace) flag for the config file as well
> (conffile-without-noreplace-flag rpmlint)

I do not want to do this, because the /etc/wyrdrc is a default config file that
should not be touched by anybody, this is what /etc/wyrdrc.local is for, which
is "noreplace". If someone does not want any change here, one can just copy
/etc/wyrdrc to /etc/wyrdrc.local and remove the include wyrdrc.local command.
Comment 12 Marek Mahut 2007-10-17 02:20:46 EDT
Ok, I understand.

APPROVED.
Comment 13 Till Maas 2007-10-20 03:37:32 EDT
New Package CVS Request
=======================
Package Name: wyrd
Short Description: A ncurses frontend for the calendar application remind
Owners: till
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2007-10-21 12:53:09 EDT
cvs done.
Comment 15 Till Maas 2007-10-21 14:04:44 EDT
(In reply to comment #14)
> cvs done.

I cannot find a wyrd bugzilla component, is this a bug or do I have to wait longer?
Comment 16 Toshio Ernie Kuratomi 2007-10-21 15:24:25 EDT
Due to the heavy load imposed by the script that syncs packages to bugzilla,
this script is only run every six hours.  I'll take a look at the code in the
future to see if there's any way we can bring down the load and thus run it more
frequently.

Note You need to log in before you can comment on or make changes to this bug.